Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 298675 - pyrad-0.4.4 (New package)
Summary: pyrad-0.4.4 (New package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Andreas K. Hüttel
URL: http://kde-apps.org/content/show.php/...
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InVCS
Depends on:
Blocks:
 
Reported: 2009-12-28 13:10 UTC by Arne Babenhauserheide
Modified: 2011-07-17 16:58 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
pyrad-0.2.0.ebuild (pyrad-0.2.0.ebuild,537 bytes, text/plain)
2009-12-28 13:11 UTC, Arne Babenhauserheide
Details
/usr/portage/local/g-pypi/dev-python/pyrad/pyrad-0.3.1.ebuild (pyrad-0.3.1.ebuild,556 bytes, text/plain)
2009-12-30 09:04 UTC, Arne Babenhauserheide
Details
pyrad-0.3.1-r1.ebuild (pyrad-0.3.1-r1.ebuild,584 bytes, text/plain)
2009-12-30 09:56 UTC, Arne Babenhauserheide
Details
/usr/portage/local/g-pypi/dev-python/pyrad/pyrad-0.3.2.ebuild (pyrad-0.3.2.ebuild,579 bytes, text/plain)
2010-01-04 19:25 UTC, Arne Babenhauserheide
Details
pyrad-0.4.0.ebuild (pyrad-0.4.0.ebuild,579 bytes, text/plain)
2010-03-02 13:03 UTC, Arne Babenhauserheide
Details
pyrad-0.4.2.ebuild (pyrad-0.4.2.ebuild,579 bytes, text/plain)
2010-05-30 20:54 UTC, Arne Babenhauserheide
Details
pyrad-0.5.3-r1.ebuild (pyrad-0.5.3-r1.ebuild,637 bytes, text/plain)
2011-07-12 17:23 UTC, Arne Babenhauserheide
Details
pyrad-0.5.3-r1.ebuild (pyrad-0.5.3-r1.ebuild,696 bytes, text/plain)
2011-07-12 17:42 UTC, Arne Babenhauserheide
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arne Babenhauserheide 2009-12-28 13:10:43 UTC
pyRad is a simple, wheel type command interface for KDE - heavily inspired by Kommando, which sadly got discontinued and is only available for KDE 3. 

I created the ebuild with g-pypi (easiest way to create a python ebuild :) ). 

Reproducible: Always
Comment 1 Arne Babenhauserheide 2009-12-28 13:11:50 UTC
Created attachment 214379 [details]
pyrad-0.2.0.ebuild
Comment 2 Arne Babenhauserheide 2009-12-30 09:04:11 UTC
Created attachment 214600 [details]
/usr/portage/local/g-pypi/dev-python/pyrad/pyrad-0.3.1.ebuild

pyrad-0.3.1.ebuild
Comment 3 Arne Babenhauserheide 2009-12-30 09:56:46 UTC
Created attachment 214604 [details]
pyrad-0.3.1-r1.ebuild

also works on ppc with kde-4.3.3

doesn't work with python3. TODO: Add this dependency into the ebuild - and make that work.
Comment 4 Arne Babenhauserheide 2010-01-04 19:25:24 UTC
Created attachment 215200 [details]
/usr/portage/local/g-pypi/dev-python/pyrad/pyrad-0.3.2.ebuild

Minor version bump.
Comment 5 Arne Babenhauserheide 2010-03-02 13:03:17 UTC
Created attachment 221789 [details]
pyrad-0.4.0.ebuild

pyrad-0.4.0.ebuild
Comment 6 Arne Babenhauserheide 2010-05-30 20:54:50 UTC
Created attachment 233561 [details]
pyrad-0.4.2.ebuild

Version Bump: Nicer tooltips for groups.
Comment 7 Arne Babenhauserheide 2010-06-13 21:43:57 UTC
0.4.3 is now in sunrise.
Comment 8 Andreas K. Hüttel gentoo-dev 2011-01-09 12:04:15 UTC
I can add your sunrise pyrad-0.5.3 ebuild to the tree, however, before that's possible, please get together with someone of the Python team on IRC (maybe Arfrever?) and bring the ebuild up to current Python coding standards!
Comment 9 Arne Babenhauserheide 2011-01-09 15:21:40 UTC
Would you give me 2 months for that? I need to get some environmental physics stuff into my brain before the final exam :)
Comment 10 Andreas K. Hüttel gentoo-dev 2011-05-21 18:31:21 UTC
0.4.4 is out
Comment 11 Arne Babenhauserheide 2011-07-12 17:23:28 UTC
Created attachment 279897 [details]
pyrad-0.5.3-r1.ebuild

Clean ebuild, in sunrise, approved by sunrise and gentoo-python.
Comment 12 Arne Babenhauserheide 2011-07-12 17:42:43 UTC
Created attachment 279899 [details]
pyrad-0.5.3-r1.ebuild

With restrict python abis.
Comment 13 Andreas K. Hüttel gentoo-dev 2011-07-17 16:58:20 UTC
Added to the main tree as kde-misc/pyrad, thanks everyone! Please remove the package from sunrise now.


Arne, as you are also the program author, I added you as co-maintainer (meaning you automatically get assignment of bug reports :). If you want to change something just tell me in a bug or on IRC and I'll review and put it in the tree.